Returns a single delivery note by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"deliveryNoteDate": "2023-11-07T05:31:56Z",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packages": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packageDate": "2023-11-07T05:31:56Z",
"trackingID": "<string>",
"weights": 123,
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippedDate": "2023-11-07T05:31:56Z",
"trackingUrl": "<string>",
"comment": "<string>",
"deliveryNoteId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"weight": 123,
"shippingDate": "2023-11-07T05:31:56Z",
"trackingNumber": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}wawi
Returns a single delivery note by its ID.
Returns a single delivery note by its ID.
GET
/
v2
/
delivery-notes
/
{deliveryNoteId}
Returns a single delivery note by its ID.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of the delivery note to be retrieved.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Success.
Represents a delivery note that documents the shipment of sales order line items.
Unique ID to identify a delivery note.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The number of the delivery note.
The date when the delivery note was created.
The ID of the sales order associated with this delivery note.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
All packages that are created with the delivery note.
Show child attributes
Show child attributes
Was this page helpful?